Plugging HDMI screen in causes system hang

Bug #1559308 reported by shinyblue
230
This bug affects 46 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Timo Aaltonen

Bug Description

I have a 4K UHD laptop screen and am running Ubuntu Gnome 16.04 Beta1 using 4.4.0-13-generic and the Nouveau drivers.

If I plug in an external HDMI monitor (FHD) either into either HDMI port (there's one on the machine and there's one available via a usb 3.1 extra adaptor) then the whole system hangs, completely unresponsive and needing a hard reboot. Before hanging the 2nd display gets an image as expected, but the laptop's screen flashes randomly, sometimes you see weird artifacts. Then the hang comes.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: xserver-xorg 1:7.7+13ubuntu3
ProcVersionSignature: Ubuntu 4.4.0-13.29-generic 4.4.5
Uname: Linux 4.4.0-13-generic x86_64
ApportVersion: 2.20-0ubuntu3
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
CurrentDesktop: GNOME
Date: Fri Mar 18 20:43:42 2016
DistUpgraded: Fresh install
DistroCodename: xenial
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Intel Corporation Skylake Integrated Graphics [8086:191b] (rev 06) (prog-if 00 [VGA controller])
   Subsystem: Dell Skylake Integrated Graphics [1028:06e4]
   Subsystem: Dell GM107M [GeForce GTX 960M] [1028:06e4]
InstallationDate: Installed on 2016-03-15 (3 days ago)
InstallationMedia: Ubuntu-GNOME 16.04 LTS "Xenial Xerus" - Alpha amd64 (20160225.1)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 003: ID 04f3:21d5 Elan Microelectronics Corp.
 Bus 001 Device 002: ID 0a5c:6410 Broadcom Corp.
 Bus 001 Device 004: ID 0c45:6713 Microdia
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Dell Inc. XPS 15 9550
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-13-generic.efi.signed root=UUID=b026feed-8801-44f4-9f3f-c245f4a1f25e ro quiet splash vt.handoff=7
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 01/25/2016
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 01.01.19
dmi.board.name: 0N7TVV
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr01.01.19:bd01/25/2016:svnDellInc.:pnXPS159550:pvr:rvnDellInc.:rn0N7TVV:rvrA00:cvnDellInc.:ct9:cvr:
dmi.product.name: XPS 15 9550
dmi.sys.vendor: Dell Inc.
version.compiz: compiz N/A
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.67-1
version.libgl1-mesa-dri: libgl1-mesa-dri 11.1.2-1ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 11.1.2-1ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.18.1-1ubuntu4
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.6.1-1ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20160218-1ubuntu3
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.12-1build2
xserver.bootTime: Fri Mar 18 17:28:07 2016
xserver.configfile: default
xserver.errors:
 Failed to load module "nvidia" (module does not exist, 0)
 Failed to load module "nvidia" (module does not exist, 0)
 Unknown chipset: NV117
 SynPS/2 Synaptics TouchPad: Read error 19
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 5182
 vendor SHP
xserver.version: 2:1.18.1-1ubuntu4

Revision history for this message
shinyblue (shinyblue) wrote :
Revision history for this message
shinyblue (shinyblue) wrote :

Note: This only happens when I'm using gdm and gnome shell. I have successfully installed lightdm + unity and it works fine.

So this is a gnome-related bug.

Probably linked? https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1559304

Revision history for this message
shinyblue (shinyblue) wrote :

OK so it might NOT be gnome-related. I've had a few of these crashes using Unity now. Attached is syslog that I was able to get after connecting an HDMI monitor via the external Dell usb-3.1 adaptor which exposes an HDMI port.

Luckily ? while this did crash it didn't kill the machine, so I got the logs.

When I tried plugging it into the other port it just died horribly.

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg (Ubuntu):
status: New → Confirmed
Revision history for this message
Ivan Koptiev (ivan.koptiev) wrote :

I'm also experiencing this on Unity. I have nvidia-prime installed and system hangs only when nvidia driver is used. When I switch to Intel, hdmi port works more or less fine (there are another problem that I believe not related to this).

Revision history for this message
dlh (dolohow) wrote :

>If I plug in an external HDMI monitor (FHD) either into either HDMI port (there's one on the machine and there's one available via a usb 3.1 extra adaptor) then the whole system hangs, completely unresponsive and needing a hard reboot. Before hanging the 2nd display gets an image as expected, but the laptop's screen flashes randomly, sometimes you see weird artifacts. Then the hang comes.

Exactly the same happens on my laptop HP ProBook 640 G2 with Intel driver.

In addition trying to switch tty with ctrl+alt+f{1,7} does not work either. Hard reboot only helps.

Revision history for this message
shinyblue (shinyblue) wrote :

Note: I can use Gnome-Classic with an external monitor fine.

Revision history for this message
김종호 (vingorius) wrote :

Same problem, when i plug a second monitor with hdmi , system hang. Nothing without reboot.
System : Ubuntu 16.04.
kernel : 4.4.0-22-generic
graphic : intel i915 (patched with intel graphic driver installer)

But using kernel 4.4.8 (from ubuntu kernel archive), it works fine.

Revision history for this message
Jonathan Hartley (tartley) wrote :

If I have an external monitor, then I get a crash when when I move my mouse cursor on to the primary (laptop) display. I get the same traceback in my syslog as that posted above by @shinyblue.

My graphics card is the integrated Intel HD Graphics 520 Mobile, i5 6200U, using driver i915_bpo.

My whole system crashes, not just X - I cannot ctrl-alt-f1 to get to virtual terminals. I have to hold down the power button to recover.

During login, both displays work fine. If I keep my mouse cursor on the external monitor, everything is fine. With no external monitor, everything is fine.

This just started when I upgraded to Ubuntu 16.04. On 15.10, everything was fine.

Lenovo Thinkpad T460, Ubu Intel HD Graphics 520 Mobile, i5 6200U, driver i915_bpo, Ubuntu 16.04.

There are a few people with the same problem here: http://askubuntu.com/questions/762373/laptop-freezes-after-connecting-external-monitor-since-16-04-update

Revision history for this message
jnshey (jnshey) wrote :

I also have the same problem. I am using Ubuntu 16.04 release version with a Thinkpad X1 Carbon.

Revision history for this message
shinyblue (shinyblue) wrote :

See the tests I did over at https://bugs.launchpad.net/bugs/1559576 which is likely related.

Revision history for this message
Jonathan Hartley (tartley) wrote :

It crosses my mind that as well as the HDMI output, my laptop also has a mini display port. Does anyone have a feel for whether it's worth buying an mini display port adaptor or cable to test whether that behaves the same?

Revision history for this message
shinyblue (shinyblue) wrote :

Mine has a usb3.1 with an adaptor providing another HDMI and a VGA port. They all work the same, ie hardly!, so if say don't rush out and spend cash!

Revision history for this message
Scott Vrooman (scott-m-vrooman) wrote :

I have a Asus Zenbook UX305CA-EHM1 M3-6Y30. It's a pretty sweetly designed machine and Ubuntu looks and works awesome on it EXCEPT for this external monitor issue.

I've got the Intel HD Graphics 515 using the i915_bpo driver and a micro HDMI display port.

I've got a few days left to return this machine but I've wisely deleted the Asus Windows 10 recovery partition and I'm having a hell of a time getting Windows 10 reinstalled. It's so sad, I was really looking forward to having a dedicated Linux laptop to code on.

I know this is not the place to vent, I couldn't help myself!

Revision history for this message
Jonathan Hartley (tartley) wrote :

@Scott: This bug only started happening for me when I upgraded from 15.10 to 16.04. You could try installing 15.10 and maybe it will be fine for you, and you can use that until a fix appears.

Revision history for this message
Jonathan Hartley (tartley) wrote :

I reported earlier that the crash only happens for me when I move the mouse pointer from my external monitor to the laptop primary display. I just reproduced again when moving the mouse pointer the other way: It was fine with the mouse cursor on the laptop primary display for a while (2 minutes, while using the machine normally) then crashed immediately the first time I moved the mouse to the external monitor.

Revision history for this message
Ethan (kevphysics) wrote :

Same problem here, also right when I upgraded from 15.10 to 16.04. It only happens with the external monitor, and only after logging into gnome. I'm on a Asus zenbook UX303U with NVIDIA GeForce 940M. I need to plug in many different external monitors and projectors for presentations, so having it hang even once in a while is not a solution.

Revision history for this message
Plushkin (plushkinqt) wrote :

Same problem on my laptop, started right after upgrade from 15.10 to 16.04. Happens right after I plug external monitor to to HDMI socket, system freezes and not responding to any actions from keyboard and touchpad. I'm using Intel® HD Graphics 520.

Changed in xorg (Ubuntu):
status: Confirmed → In Progress
status: In Progress → Confirmed
Revision history for this message
Michael G. (mggth) wrote :

Yes, I can also confirm this problem with a Lenovo Thinkpad T460s (using a docking station as well as without one). I am also using the Mesa DRI Intel(R) HD Graphics 520 (Skylake GT2) (0x1916) GPU running on the i915_bpo driver.

Interestingly enough, when I use the docking station and connect the external screen via DVI it works as long as I don't change the resolution of one of the screens. As soon as the resolution changes the laptop completely freezes (no access to the virtual consoles via pressing ctrl+alt+f1-8).

However, although the external screen works most of the times I still sometimes experience freezes after I log-out and log-in again. Unfortunately, I cannot explain why or when this happens.

Revision history for this message
Michael G. (mggth) wrote :

Ok, it seems as Intel has just 'forgotten' to make their newest drivers available. That's why they are not included in 16.04.

There is a German article on that available here: http://www.heise.de/newsticker/meldung/Linux-Intels-neue-Iris-Grafik-Treiber-Support-in-Sicht-3193993.html (translation: https://goo.gl/Cm18Kv). It mainly describes the (much bigger) issues with the Iris-550 GPU. However, they acknowledge that the missing driver patches might also affect users with HD 510 and HD 535 GPUs (so I guess also the HD 520 one).

Let's hope the Ubuntu developers integrate the already available patch as soon as possible. Maybe there is a temporary work around?

Revision history for this message
Scott Vrooman (scott-m-vrooman) wrote :

@Jonathan: I was on 15.10. :|

The problem with 15.10 is the trackpad doesn't work due to a bug in the i2c driver (drivers/i2c/busses/i2c-designware-platdrv.c) for kernels < 4.5. When I upgraded my kernel to version 4.5 I started getting this same external monitor issue.

Since 16.04 is using a 4.4 kernel and my trackpad works, I guess they patched it to fix the i2c driver bug.

Revision history for this message
김종호 (vingorius) wrote :

My workaround is to install linux-4.4.8-willy.
It works to me.

URL is http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.4.8-wily/
and refer below url to install.

http://linuxdaddy.com/blog/install-kernel-4-4-on-ubuntu/

Revision history for this message
Plushkin (plushkinqt) wrote :

Approved, kernel update to 4.8.8-wily solves the problem.

Revision history for this message
shinyblue (shinyblue) wrote :

Yep, 4.4.8 kernel works perfectly for me. Can change resolutions, turn on/off displays, all works fine.

(now if only gnome was better at dealing with one hdpi screen and one normal dpi screen!)

Revision history for this message
Korydween (inkaap) wrote :

Hello,

I installed 4.4.8 and it works better but not perfect. I sometimes manage to plug a second monitor, sometimes it freezes when I turn it on. If the second monitor is plugged when the system boots, I often have errors at boot "intel_dp_link_training_clock_recovery" and "intel_wait_ddi_buf_idle". The system boots normally as soon as I turn off the second monitor.

I managed to have it work some times, but I don't manage to see what makes it work or not. But when it works, it works well.

I have a HP Elitebook 840 with Intel® HD8 Graphics 4400.

Revision history for this message
Timo Aaltonen (tjaalton) wrote :

sounds like kernel 4.4.0-22.38 will fix this on 16.04, as it has merged 4.4.8

affects: xorg (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
Revision history for this message
Michael G. (mggth) wrote :

@tjaalton: Could you please elaborate what that means? Does that mean that a fix will be available via the ubuntu updater soon? Or do we have to wait till 16.10? Thanks!

Revision history for this message
Koen Roggemans (koen-roggemans) wrote :

In comment #8 it's mentioned that it is not fixed in 4.4.0-22. I hope that's a typo :-(
I have a crashing 4.4.0-21 (Thinkpad 13 with an Intel N3150 processor / HD 510 Graphics)
My workaround is installing kernel 4.6RC6

Revision history for this message
Ethan (kevphysics) wrote :

Kernel 4.4.8 solved my issues completely! I can plug any monitor before or after boot using DP or HDMI. I also have multiple window managers working flawlessly.

Revision history for this message
jnshey (jnshey) wrote : Re: [Bug 1559308] Re: Plugging HDMI screen in causes system hang
Download full text (4.5 KiB)

In order to boot, I need to set acpi=off when I use 4.4.8, which solves the
external monitor issue. However, I am not able to shut down my computer
without pressing the physical button. Any ideas?

On Thu, May 5, 2016 at 1:22 AM, Ethan <email address hidden> wrote:

> Kernel 4.4.8 solved my issues completely! I can plug any monitor before
> or after boot using DP or HDMI. I also have multiple window managers
> working flawlessly.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1559308
>
> Title:
> Plugging HDMI screen in causes system hang
>
> Status in linux package in Ubuntu:
> Fix Committed
>
> Bug description:
> I have a 4K UHD laptop screen and am running Ubuntu Gnome 16.04 Beta1
> using 4.4.0-13-generic and the Nouveau drivers.
>
> If I plug in an external HDMI monitor (FHD) either into either HDMI
> port (there's one on the machine and there's one available via a usb
> 3.1 extra adaptor) then the whole system hangs, completely
> unresponsive and needing a hard reboot. Before hanging the 2nd display
> gets an image as expected, but the laptop's screen flashes randomly,
> sometimes you see weird artifacts. Then the hang comes.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.04
> Package: xserver-xorg 1:7.7+13ubuntu3
> ProcVersionSignature: Ubuntu 4.4.0-13.29-generic 4.4.5
> Uname: Linux 4.4.0-13-generic x86_64
> ApportVersion: 2.20-0ubuntu3
> Architecture: amd64
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: None
> CurrentDesktop: GNOME
> Date: Fri Mar 18 20:43:42 2016
> DistUpgraded: Fresh install
> DistroCodename: xenial
> DistroVariant: ubuntu
> ExtraDebuggingInterest: Yes, if not too technical
> GraphicsCard:
> Intel Corporation Skylake Integrated Graphics [8086:191b] (rev 06)
> (prog-if 00 [VGA controller])
> Subsystem: Dell Skylake Integrated Graphics [1028:06e4]
> Subsystem: Dell GM107M [GeForce GTX 960M] [1028:06e4]
> InstallationDate: Installed on 2016-03-15 (3 days ago)
> InstallationMedia: Ubuntu-GNOME 16.04 LTS "Xenial Xerus" - Alpha amd64
> (20160225.1)
> Lsusb:
> Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
> Bus 001 Device 003: ID 04f3:21d5 Elan Microelectronics Corp.
> Bus 001 Device 002: ID 0a5c:6410 Broadcom Corp.
> Bus 001 Device 004: ID 0c45:6713 Microdia
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> MachineType: Dell Inc. XPS 15 9550
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-13-generic.efi.signed
> root=UUID=b026feed-8801-44f4-9f3f-c245f4a1f25e ro quiet splash vt.handoff=7
> SourcePackage: xorg
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 01/25/2016
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: 01.01.19
> dmi.board.name: 0N7TVV
> dmi.board.vendor: Dell Inc.
> dmi.board.version: A00
> dmi.chassis.type: 9
> dmi.chassis.vendor: Dell Inc.
> dmi.modalias:
> dmi:bvnDellInc.:bvr01.01.19:bd01/25/2016:svnDellInc.:pnXPS159550:pvr:rvnDellInc.:rn0N7TVV:rvrA00:cvnDellInc.:ct9:cvr:
> dmi.p...

Read more...

Revision history for this message
SamF (sam-fr) wrote :

I'm also getting this problem. It seems, as others have said, to be triggered by moving the mouse from laptop screen to external monitor or vice versa.

Revision history for this message
cement_head (andorjkiss) wrote :

I have this same bug, but with a VGA port.

Changed in linux (Ubuntu):
importance: Undecided → Medium
Revision history for this message
cement_head (andorjkiss) wrote :

Using upstream kernel 4.4.8 from Ubuntu kernel PPA solves the freeze issue with VGA cable.

Revision history for this message
Brian J. Cohen (brianjcohen) wrote :

Running 4.4.0-22.38 on a Thinkpad T460s, I'm now able to attach an external monitor via HDMI without the machine freezing in the manner described by others. However, I can still make it freeze if I enable (in System Settings > Brightness & Lock) 'Turn screen off when inactive for:' and let the screen turn itself off via the timeout specified. When I awaken the screen by, say, moving the mouse, I find two things have happened:

1. The launcher has reverted its placement to the built-in display (I had changed in in 'Displays' to live on the external display.***

2. The system will lockup hard if I move the mouse between displays.

*** This also happens when I first attach the external display; my preference for launcher placement is not being remembered, unlike my resolution settings, which are.

Revision history for this message
Mondane (mondane-woodworker) wrote :

Since yesterday on

No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04 LTS
Release: 16.04
Codename: xenial

I have

Linux 4.4.0-22-generic #39-Ubuntu SMP Thu May 5 16:53:32 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

But still, when I have booted my laptop (HP ProBook 650 G2 with HP ProBook 650 G2) and hook-up a VGA monitor, Ubuntu freezes. Could it be more code must be ported back?

Revision history for this message
cement_head (andorjkiss) wrote :

New kernel update doesn't solve issue - still have to be running kernel 4.4.8.

Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Mind trying 4.6-rc7? Skylake is using a backported driver based on 4.6 series

Changed in linux (Ubuntu):
status: Fix Committed → Triaged
status: Triaged → Incomplete
Revision history for this message
Timo Aaltonen (tjaalton) wrote :
Revision history for this message
dlh (dolohow) wrote :

I will have an access to the machine two weeks from today and I will test then.

Dnia 11 maja 2016 11:02:17 CEST, Timo Aaltonen <email address hidden> napisał(a):
>Mind trying 4.6-rc7? Skylake is using a backported driver based on 4.6
>series
>
>** Changed in: linux (Ubuntu)
> Status: Fix Committed => Triaged
>
>** Changed in: linux (Ubuntu)
> Status: Triaged => Incomplete

--
Sent from my Android device with K-9 Mail. Please excuse my brevity.

Revision history for this message
cement_head (andorjkiss) wrote :

@tjaalton

To manually install an upstream kernel I would need to install the packages in purple (not blue) for an AMD64 machine?

Timo Aaltonen (tjaalton)
Changed in linux (Ubuntu):
assignee: nobody → Timo Aaltonen (tjaalton)
22 comments hidden view all 102 comments
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

you need to run the apt command I gave.. it should work

Revision history for this message
Brian J. Cohen (brianjcohen) wrote :

After some struggling I was able to boot your 4.4.0-23-generic #40~bpo1 and it appears to function at least as well as 4.6.0 rc7 did with regards to the freezing.

Revision history for this message
Christoforos Samaras (christoforos-samaras) wrote :

Installed 4.4.0-23.40. Now when I unplug the miniDP cable that connects my external monitor, the first time I do it everything is OK. But if i unplug it afterwards and plug it again the system gets freezing. And if this does not happen in the 2nd time it will definitely happen in the third time. I tested this 4 times and my system went freezing all of them after plugging/unplugging the cable for 2nd or 3rd time.

Revision history for this message
cement_head (andorjkiss) wrote :

Just run 4.4.6rc7 and be done with it. 4.4.0-22-generic is BROKEN.

Revision history for this message
cement_head (andorjkiss) wrote :

Okay. Kernel update 4.4.0-22.40 is working without issues, plugging in HDMI, plugging in VGA (probably HDMI>VGA on-board) is also working without issue(s).

Looks as though this finally got fixed - it's a bit ridiculous that this took so long for an LTS kernel on a widely used chipset (Intel HD / Sky Lake).

Anyway, thanks!

Revision history for this message
Mondane (mondane-woodworker) wrote :

Sadly, kernel 4.4.0-22.40 still gives me problems when moving the mouse from the external monitor (connected with VGA) to the laptopscreen. I'm hoping 4.6 will come to Ubuntu as it's being tested for a related problem here: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1581005 .

Revision history for this message
cement_head (andorjkiss) wrote :

I should mention that I have the Xorg Edgers PPA enabled and use their graphics drivers (stack).

Although I think that Xenial is pretty up-to-date right now...

Revision history for this message
Christoforos Samaras (christoforos-samaras) wrote :

Kernel 4.4.0-22.40 still gives me problems as well when moving the mouse from the external monitor (connected with either HDMI or miniDP) to the laptopscreen or vice-versa.

Revision history for this message
Christoforos Samaras (christoforos-samaras) wrote :

After disabling in my Dell screen MST support (DP 1.2 disabled), did a firmware upgrade from the following link https://01.org/linuxgraphics/downloads/skylake-dmc-1.26 and applying the kernel images located in http://koti.kapsi.fi/~tjaalton/skl/mst ,now system works fine. I had no freezes and I was able to suspend / resume the system without issues.

Images used (linux-image-4.4.0-23-generic_4.4.0-23.40~bpo1_amd64.deb and linux-image-extra-4.4.0-23-generic_4.4.0-23.40~bpo1_amd64.deb)

Revision history for this message
Mikko Pesari (mpesari) wrote :

Kernel 4.4.0-23 from xenial-proposed fixed freezes when plugging in an external display on HP EliteBook 840 G3.

Revision history for this message
cement_head (andorjkiss) wrote :

@christoforos-samaras How do you update the Sky Lake firmware once you've downloaded the tar ball? Do you just run the install script?

Revision history for this message
cement_head (andorjkiss) wrote :

Weird, I already have 1.26 installed. Wonder why you didn't/don't?

Revision history for this message
Timo Aaltonen (tjaalton) wrote :

marking fix committed as i915_bpo update to v4.6(-rc7) is now in proposed

dmc fw version has nothing to do with this, and yes 16.04 has the latest one already

Changed in linux (Ubuntu):
status: Incomplete → Fix Committed
Revision history for this message
Csaba SARI (csaba-sari) wrote :

@christoforos-samaras solution is also works for me (Thinkpad T460 - Ubuntu 16.04), I can confirm.

Revision history for this message
Christoforos Samaras (christoforos-samaras) wrote :

@cement_head (andor-udel) yes I went into the folder I had extracted tar ball, made the install.sh executable (sudo chmod ug+x install.sh) and afterwards I ran ./install.sh

Now I enabled the xenial-proposed option (settings -> software&updates -> Developer Options -> run in terminal ''sudo update dist-upgrade'') to install the latest kernel and everything runs fine. I only have a problem when I resume from suspension with network manager. It uses wrong icons (when I am wireless connected I see the ethernet connection icon (2 arrows)). The problem is fixed if I restart network manager (sudo service network -manager restart). It's the bug reported here https://bugs.launchpad.net/ubuntu/+source/network-manager-applet/+bug/1569959

Revision history for this message
cement_head (andorjkiss) wrote :

I don't use MATE - find it clunky.

Revision history for this message
Christoforos Samaras (christoforos-samaras) wrote :

I don't use MATE either. I am using 16.04 LTS but I have the same problem as it is described in this bug. Besides the bug report mentioned above is a duplicate of bug #1574347.

Revision history for this message
Christian Sarrasin (sxc731) wrote :

This has been happening to me for about ~2 months too: hangs, typically after resuming from suspend, either immediately after resume or within a couple of minutes. Hard power-cycle by holding down power button is only way out (CTRL+ALT+F1 unresponsive and entire laptop appears frozen).

Think it's definitely related to external displays (I use a mini-DP cable) as I don't seem to have the issue when just using the laptop's internal screen.

Environment:
* ThinkPad X1 Carbon 3rd Gen (2015, Broadwell)
* Integrated Intel HD5500 graphics
* Stock Ubuntu 14.04/Unity with Kernel 3.19.

The attached crash log has no less than 2549 occurrences of the ominous "[drm:gen8_irq_handler [i915_bpo]] *ERROR* The master control interrupt lied (SDE)!". These tend to occur more often just before freezes and suggest the following might be related:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1488719

Revision history for this message
Timo Aaltonen (tjaalton) wrote :

christian: this is not your bug

Revision history for this message
Christian Sarrasin (sxc731) wrote :

@Timo: ok thanks for letting me know but your terse reply eludes me somewhat. Are you suggesting - despite similarities in symptoms and context - that:

1. My problem is different therefore I need to raise a new one?
2. There is another bug to which I should attach this?
3. My contribution is garbage/noise?
4. Anything else?

TiA

Revision history for this message
cement_head (andorjkiss) wrote :

@dev1 Does your bug occur when using an upstream kernel?

You can test by (a) installing GRUB Customizer (https://launchpad.net/~danielrichter2007/+archive/ubuntu/grub-customizer) and then installing (b) an upstream kernel, say 4.6.x (http://ubuntuhandbook.org/index.php/2016/05/install-linux-kernel-4-6-ubuntu-16-04/).

The run GRUB customizer and choose the 4.6 kernel. Reboot & test. If something goes wrong, choose your old kernel and uninstall the 4.6.x kernel.

I've also seen this bug with Sky Lake and the mini-display to VGA adapters. But I agree with @tjaalton, I do not think this is your bug.

Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Christian: your cpu is broadwell, not skylake like for others on this bug. Broadwell uses the stock i915 driver from 4.4, so file a new bug.

Revision history for this message
Mikko Pesari (mpesari) wrote :

Hmm, looks like it's not completely fixed on 4.4.0-23 after all. HP EliteBook 840 G3 has DisplayPort and VGA connectors. With VGA connector everything works fine but with DP I get a freeze when disconnecting the cable and sometimes when changing mode between mirror, extended, 1 display configurations.

Revision history for this message
Scott Vrooman (scott-m-vrooman) wrote :

This is fixed for me. Thank you very much!!

Revision history for this message
Mikko Pesari (mpesari) wrote :

Still freezes when using DisplayPort on kernel 4.4.0-24. Tested with http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.7-rc3-yakkety/ and DP works fine - however, display is not recognized when using VGA.

Revision history for this message
Guy Rossler (guy-rossler) wrote :

Apologies, finger trouble while checking status and status updated in error. Unable to set back to fix committed.

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Mikko Pesari (mpesari) wrote :

I did some testing with kernels < 4.7:

Freezes:

4.4.0-32 from xenial-proposed
4.5.7 from http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.5.7-yakkety/

Works:

4.6.4 from http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.6.4/

Revision history for this message
Roi Rosenthal (roiros) wrote :

switched to kernel 4.7.2, seems to improve/solve the issue.
definitely improvement of the lag when detecting a new display and returning to responsive state.

i7-6500u, intel® HD graphics 520, AMD FirePro™ W4190M, HP 15u G3

Revision history for this message
Usievaład Kimajeŭ (anibyl) wrote :

I had this issue with Ubuntu 16.04 (4.4.something).
After upgrade to 16.10 (4.8.0-17-generic) issue is still reproduced.
NVIDIA Corporation GM204M [GeForce GTX 970M], eDP, DP and HDMI connected. Without HDMI works well.

Revision history for this message
Timo Aaltonen (tjaalton) wrote :

not your bug then, esp. since you have nvidia

Revision history for this message
Laurent (laurent-s) wrote :

I had the exact same issue on a Lenovo Thinkpad 13 (Intel core i5 6200 with skylake graphics) with Linux Mint 18 (based on 16.04 xenial) running ubuntu kernel 4.4.0-21. Upgrading to kernel 4.4.31 from http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.4.31/ fixed it.

Revision history for this message
Pedro Usinskas (pedrousinskas) wrote :

I had the exact same issue on Vaio VGN-FW160E with VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

LSB Version: core-9.20160110ubuntu0.2-amd64:core-9.20160110ubuntu0.2-noarch:printing-9.20160110ubuntu0.2-amd64:printing-9.20160110ubuntu0.2-noarch:security-9.20160110ubuntu0.2-amd64:security-9.20160110ubuntu0.2-noarch
Release: 16.04
Codename: xenial

Thank's a lot for yours work.

Pedro Usinskas

Revision history for this message
Fabrizio Bertoglio (fabriziobertoglio) wrote :

Hello,

I have Linux Mint 18 with two cards:

Card-1: Intel Haswell-ULT Integrated Graphics Controller
Card-2: Advanced Micro Devices [AMD/ATI] Sun LE [Radeon HD 8550M / R5

As I had this issue upgrading to Kernel: 4.6.0-040600-generic x86_64 (64 bit gcc: 5.3.1) solved it.

Lately I experimented some screen flickering and some tear dropping, especially when I remove the External Monitors.

What Kernel should I install?

Thanks
Fabrizio Bertoglio

Revision history for this message
Luís Fernando Heckler (lfheckler) wrote :

I was experimenting similar behaviour using kernel 4.6.0 x86_64 (linux mint + cinnamon).

After upgrading to 4.8.0-040800-generic x86_64 seems fine now.

Regards
Luis F. Heckler

Revision history for this message
Maik Ihde (maik-ihde) wrote :

Similar behavior on a Dell Latitude 5470 w/ Intel/AMD Dual graphics with Mint 18.1. Suspend didn't work with the standard kernel (Display dark, total freeze) but 4.5.2 helped. However Plugging in or out the VGA Cable makes it freeze.

Yesterday updated to Kernel 4.8.0-42-generic x86_64 but still freezes when (un-)plugging VGA. A tail on syslog with a kerlen Oops (via ssh before it died) is attached together with output of "inxi -Fxz"

Revision history for this message
johnnynobody (engage1) wrote :

I have this problem running 16.04.3 with the kernel package and drivers from https://github.com/M-Bab/linux-kernel-amdgpu-binaries. Those binaries are the only solution that I've found to fixing the problem of the display going to a blank screen and won't "wake up". But when I try to use the HDMI port the screen goes blank and won't wake up and nothing gets displayed on the TV - I'm still able to ssh in from another PC and reboot the PC that's "frozen" but I don't get a login screen if I leave the HDMI cable plugged in. I have tried the oibaf and padoka repositories, also, but that hasn't solved the problem either.

Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :

@johnnynobody,

Please file a new bug.
Also, I don't think all DC codes are in the mainline yet. The easiest way to "solve" the issue is use AMDGPU-Pro from AMD.

Revision history for this message
aLuViAn (aluvian) wrote :

Hi,

I have been experiencing the same behavior as well on Ubuntu 16.04 LTS.
Just bought a new laptop (Got it from China - Hasee ZX8-KP5D1, basically Clevo PM7xxDM) The basic specs are :

Core i5 7th Gen. 7400
nVidia GeForce 1070 GTX
LCD FHD
(Let me know if it needs more info)

When I connect HDMI to an external monitor, I can't see anything on the external monitor and my LCD built-in display crashes. The mouse pointer does not move - or has a huge lag and jumps from one side to the other side - nothing can be opened. The only solution is hard reboot.
Even if I connect HDMI before boot, Ubuntu desktop behaves the same way.
Now I am using miniDisplay port with VGA adapter. It works fine unless the screen goes off (Due to inactivity) and turns back on. Then The external monitor won't turn on, though I can see it in my "displays" screen. If I disconnect and reconnect, everything is back to normal (I guess this one is not related to the bug)

Revision history for this message
cement_head (andorjkiss) wrote :

@aluvian This might be a longshot, but you might try adding the System76 PPA and installing their nVIDIA driver. The reason? All of their laptops are custom spec'd laptops made by CLEVO, so thier custom tweaks might help you. The other thing to try and helped my situation (I do not have the nVIDIA driver) is to download the Intel Linex Driver tool and run that.

System76: https://launchpad.net/~system76-dev/+archive/ubuntu/stable

Intel Linux Driver: https://01.org/linuxgraphics/downloads/intel-graphics-update-tool-linux-os-v2.0.2

Revision history for this message
Calvin Hartwell (calvinh) wrote :

Still hitting this using MATE and the NVIDIA Drivers:

calvinh@calvinh-ws:/var/log$ uname -a
Linux calvinh-ws 4.15.0-34-generic #37~16.04.1-Ubuntu SMP Tue Aug 28 10:44:06 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

calvinh@calvinh-ws:/var/log$ sudo apt-get install nvidia-384
Reading package lists... Done
Building dependency tree
Reading state information... Done
nvidia-384 is already the newest version (384.130-0ubuntu0.16.04.1).

Cannot plug in my second monitor, it locks the system up until I unplug it.

Brad Figg (brad-figg)
tags: added: cscc
Displaying first 40 and last 40 comments. View all 102 comments or add a comment.